Storyden
Auth

Auth Password Reset

Complete a password-reset flow using a token that was provided to the member via a reset request operation such as `AuthEmailPasswordReset`.

POST/auth/password/reset

Complete a password-reset flow using a token that was provided to the member via a reset request operation such as AuthEmailPasswordReset.

storyden-session<token>

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/auth/password/reset" \  -H "Content-Type: application/json" \  -d '{    "token": "string",    "new": "password456"  }'
{
  "id": "string"
}
Empty
Empty
Empty
{
  "type": "string",
  "title": "string",
  "detail": "string",
  "trace_id": "string",
  "metadata": {}
}